package com.pixelized.biblib.utils.exception

class MandatoryFieldMissingException(method: String, name: String, json: Any) :
    RuntimeException("Parse exception: Mandatory field:'$name' is missing from:'$method', with data:$json")

fun missingField(method: String, name: String, json: Any) =
    MandatoryFieldMissingException(method = method, name = name, json = json)